<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ssm.manage.mapper.RechargeDemotioneingRunMapper">
    <resultMap type="com.ssm.manage.entity.RechargeDemotioneingRun" id="RechargeDemotioneingRunMap">
        <result property="id" column="id" jdbcType="INTEGER"/>
        <result property="rechargeTypeId" column="recharge_type_id" jdbcType="INTEGER"/>
        <result property="rechargeTypeNum" column="recharge_type_num" jdbcType="VARCHAR"/>
        <result property="rechargeTypeName" column="recharge_type_name" jdbcType="VARCHAR"/>
        <result property="newRechargeTypeId" column="new_recharge_type_id" jdbcType="INTEGER"/>
        <result property="newRechargeTypeNum" column="new_recharge_type_num" jdbcType="VARCHAR"/>
        <result property="newRechargeTypeName" column="new_recharge_type_name" jdbcType="VARCHAR"/>
        <result property="storeId" column="store_id" jdbcType="INTEGER"/>
        <result property="storeName" column="store_name" jdbcType="VARCHAR"/>
        <result property="discount" column="discount" jdbcType="NUMERIC"/>
        <result property="newDiscount" column="new_discount" jdbcType="NUMERIC"/>
        <result property="type" column="type" jdbcType="INTEGER"/>
        <result property="status" column="status" jdbcType="INTEGER"/>
        <result property="rechargeMoney" column="recharge_money" jdbcType="INTEGER"/>
    </resultMap>
</mapper>